libcmis-0.4-4_0.4.1-7_amd64.deb


Advertisement

Description

libcmis-0.4-4 - CMIS protocol client library

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libcmis-0.4-4
Package version 0.4.1
Package release 7
Package architecture amd64
Package type deb
Installed size 1.48 KB
Download size 388.61 KB
Official Mirror ftp.br.debian.org
LibCMIS is a C++ client library for the CMIS interface.
This allows C++ applications to connect to any ECM behaving as a CMIS server
like Alfresco, Nuxeo.

Alternatives

Package Version Architecture Repository
libcmis-0.4-4_0.4.1-7_i386.deb 0.4.1 i386 Debian Main
libcmis-0.4-4 - - -

Requires

Name Value
libboost-date-time1.55.0 -
libc6 >= 2.14
libcurl3-gnutls >= 7.16.2
libgcc1 >= 1:4.1.1
libstdc++6 >= 4.6
libxml2 >= 2.7.4

Download

Type URL
Binary Package libcmis-0.4-4_0.4.1-7_amd64.deb
Source Package libcmis

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcmis-0.4-4 deb package:
    # sudo apt-get install libcmis-0.4-4

Files

Path
/usr/lib/libcmis-0.4.so.4
/usr/lib/libcmis-0.4.so.4.0.1
/usr/lib/libcmis-c-0.4.so.4
/usr/lib/libcmis-c-0.4.so.4.0.1
/usr/share/doc/libcmis-0.4-4/changelog.Debian.gz
/usr/share/doc/libcmis-0.4-4/changelog.gz
/usr/share/doc/libcmis-0.4-4/copyright

Changelog

2014-05-26 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-7) unstable; urgency=low
* use dh-autoreconf (closes: #748863)
2014-05-08 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-6) unstable; urgency=low
* explicitly build-depend on pkg-config. No idea why it worked before... 
2014-05-06 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-5) unstable; urgency=low
* upload to unstable 
2014-02-06 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-4) experimental; urgency=low
* apply patch from Adam Concrad to fix int/bool confusion that
leads to the test suite failing on all big-endian architectures.
(closes: #737807)  
2013-12-04 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-3) experimental; urgency=low
* actually use buildflags.mk's CXXFLAGS everywhere, not only on arm,
and fix logic...
2013-12-04 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-2) experimental; urgency=low
* explicitely mention Cedric Bosdonnat and Cao Cuong Ngo
in debian/copyright
* include /usr/share/dpkg/{architecture,buildflags}.mk and
build with -O0 on arm to hack around API test crash (closes: #731116)
2013-08-26 - Rene Engelhard <rene@debian.org>
libcmis (0.4.1-1) experimental; urgency=low
* New upstream release
2013-05-09 - Rene Engelhard <rene@debian.org>
libcmis (0.3.1-3) unstable; urgency=low
* build with --disable-werror (closes: #707448) 
2013-04-19 - Rene Engelhard <rene@debian.org>
libcmis (0.3.1-2) unstable; urgency=low
* upload to unstable 
2013-02-05 - Rene Engelhard <rene@debian.org>
libcmis (0.3.1-1) experimental; urgency=low
* New upstream release
* build (and run) unit tests, now that we can disable the "long" tests
* update description (closes: #666669), Homepage:/Source:

See Also

Package Description
libcmis-dev_0.4.1-7_amd64.deb CMIS protocol client library -- development
libcml-smlnj_110.76-2_amd64.deb Concurrent ML extension of SML
libcmlutil-smlnj_110.76-2_amd64.deb Concurrent ML utility library
libcmocka-dev_0.4.1-2_amd64.deb development files for the CMocka unit testing framework
libcmocka0_0.4.1-2_amd64.deb library for the CMocka unit testing framework
libcmor-dev_2.9.1-5_amd64.deb Development files for Climate Model Output Rewriter
libcmor2_2.9.1-5_amd64.deb Climate Model Output Rewriter library
libcmph-dev_2.0-2_amd64.deb C Minimal Perfect Hashing Library development files
libcmph-tools_2.0-2_amd64.deb C Minimal Perfect Hashing Library command line utilities
libcmph0_2.0-2_amd64.deb C Minimal Perfect Hashing Library
libcneartree-dev_3.1.1-2.1_amd64.deb Library and headers for solving the Nearest Neighbor Problem
libcneartree5_3.1.1-2.1_amd64.deb Library for solving the Nearest Neighbor Problem
libcnf-dev_4.0-2_amd64.deb library for C and Fortran mixed programming
libcnoid-dev_1.1.0+dfsg-6.1+b4_amd64.deb Integrated robotics GUI environment - development files
libcnoid1_1.1.0+dfsg-6.1+b4_amd64.deb Integrated robotics GUI environment - shared library
Advertisement
Advertisement